
#version 3.8;

global_settings {
	assumed_gamma 2.2

	radiosity {
		count 300
		error_bound 0.8
		pretrace_start  0.08
		pretrace_end    1/min(image_height,image_width)
		recursion_limit 2
		nearest_count 10
		always_sample off
		normal off
	}

	photons {
		count 4000000
		autostop 0
		jitter 0.5
	}
}


// Cluster of spheres intended to reproduce one of the test
// images included with RayShade.

#include "colors.inc"
#include "textures.inc"
#include "metals.inc"
#include "transforms.inc"

camera {
	location <2.31, 1.43, 1.65>
	look_at z*-0.1
	up z
	sky z
	angle 45
	right x*4/3
}

//background { color SkyBlue }

//light_source { <4, 3, 2> color rgb 0.5 }
//light_source { <1, -4, 4> color rgb 0.5 }
//light_source { <-3, 1, 5> color rgb 0.5 }

//sky_sphere pinched from Samuel T. Benge!
//-------!---------!---------!---------!---------!
#declare lpos = <0.5, 1, 0.25>;
#declare lcol = <1, 0.975, 0.9>*5;
#declare air = <0.3, 0.4, 0.5>;

light_source { -lpos*100000, lcol }

sky_sphere {
	pigment {
		spherical
		scale 2
		translate y
		turbulence 0.05
		lambda 3
		Point_At_Trans(lpos)
		poly_wave 1.75
		color_map {
			[0 rgb air-0.5]
			[1 rgb lcol]
		}
	}
}
//-------!---------!---------!---------!---------!

plane { z, -0.5
	pigment { rgb <1.0, 0.75, 0.33> }
	//pigment { rgb <1.0-0.15, 0.75-0.1, 0.33-0.045> }
}

sphere { 0, 0.5
	//pigment { rgb <0.5, 0.45, 0.35> 
	texture { T_Chrome_3C }
	normal {
		//wrinkles
		bumps 0.375
		//dents 1
		//scale 2/95
		scale 2/85
		//scale 2/77
	}
	photons {  
		target on
		reflection on
		refraction on
		collect on
    }
}

union {
	sphere { <0.272166, 0.272166, 0.544331>, 0.166667 }
	sphere { <0.643951, 0.172546, 0>, 0.166667 }
	sphere { <0.172546, 0.643951, 0>, 0.166667 }
	sphere { <-0.371785, 0.0996195, 0.544331>, 0.166667 }
	sphere { <-0.471405, 0.471405, 0>, 0.166667 }
	sphere { <-0.643951, -0.172546, 0>, 0.166667 }
	sphere { <0.0996195, -0.371785, 0.544331>, 0.166667 }
	sphere { <-0.172546, -0.643951, 0>, 0.166667 }
	sphere { <0.471405, -0.471405, 0>, 0.166667 }
	texture { T_Chrome_3C }
	photons {  
		target on
		reflection on
		refraction on
		collect on
    }
}
